//CUITileVideoAd - [2020-04-13 11:57:47]
#ifndef _CUITileVideoAd_H_
#define _CUITileVideoAd_H_

#include "CUITile.h"

/*
001466F0 CUITileVideoAd::CUITileVideoAd(int)
00146724 00146728 CUITileVideoAd::~CUITileVideoAd()
00146738 CUITileVideoAd::Render()
001467CA CUITileVideoAd::Process()
001467C8 void RenderPost()
*/

class CUITileVideoAd : public CUITile {
public:
  CUITileVideoAd(float);               //001466F0
  virtual ~CUITileVideoAd();         //00146724 00146728
  virtual void Render();            //00146738
  virtual EUITileAction Process();  //001467CA
  virtual void RenderPost();        //001467C8

  uchar   unknown_1AA[0x82];
};

#endif  //_CUITileVideoAd_H_